# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/ZippedFile.hpp File Reference

`#include <vlCore/VirtualFile.hpp>`

Go to the source code of this file.

## Classes

class | vl::ZippedFileInfo
| Collects the information about a ZippedFile. More...
class | vl::ZippedFile
| A VirtualFile used to read a file contained in a .zip archive. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

bool | vl::compress (const void *data, size_t size, std::vector< unsigned char > &out, int level)
bool | vl::decompress (const void *cdata, size_t csize, void *data_out)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.